Skip to main content
POST
Get a conversion quote
Monetary response fields are decimal strings for partner clients.

Authorizations

X-Key-Id
string
header
required

This selects the registered RSA public key. Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature.

Headers

X-Key-Id
string
required

Also send X-Timestamp, X-Idempotency-Id and X-Digital-Signature. Sign the exact raw request bytes.

Example:

"prod-2026-02"

Path Parameters

storeId
string<uuid>
required

Body

application/json
fromCurrency
string
required
Example:

"USD"

toCurrency
string
required
Example:

"NGN"

amount
number
required
Example:

1000

Response

Quote

fromCurrency
string
toCurrency
string
amount
string
grossTargetAmount
string
sourceNetAmount
string
feeAmount
string
feeCurrency
string
feeAppliedTo
enum<string>
Available options:
source,
target
netTargetAmount
string
rate
number
rawRate
number
rateDetails
object
routeType
string
bridgeCurrency
string | null